/*******************************************************************************
* File: main.c
*
* Version: 1.0
*
* Description:
*  This example project demonstrates the basic operation of Bootloader component
*
********************************************************************************
* Copyright 2014, Cypress Semiconductor Corporation. All rights reserved.
* This software is owned by Cypress Semiconductor Corporation and is protected
* by and subject to worldwide patent and copyright laws and treaties.
* Therefore, you may use this software only as provided in the license agreement
* accompanying the software package from which you obtained this software.
* CYPRESS AND ITS SUPPLIERS MAKE NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
* WITH REGARD TO THIS SOFTWARE, INCLUDING, BUT NOT LIMITED TO, NONINFRINGEMENT,
* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
*******************************************************************************/
#include <project.h>
#define Bootloader_activeApp      (Bootloader_MD_BTLDB_ACTIVE_0)

int main()
{
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */

    CyGlobalIntEnable;

    
    if(Pin_Read()==0)
    {
        /* Turn on blue LED */
        Bootloader_Status_Blue_Write(0u);
        CyDelay(500);
        
        /* Start bootloader communication */
        Bootloader_Start();
    }
    else
    {
        /* Turn on red LED */
        Bootloader_Status_Green_Write(0u);
        CyDelay(500);
           
        
        /* Validate and schedule bootloadable. Software reset*/
        if(CYRET_SUCCESS == Bootloader_ValidateBootloadable(Bootloader_activeApp))
            {
                Bootloader_SET_RUN_TYPE(Bootloader_SCHEDULE_BTLDB);
                CySoftwareReset();
            }
                        
        
    }
    
    
    for(;;)
    {
        /* Place your application code here. */
    }
}

/* [] END OF FILE */
